SystemOrganization addCategory: #'DTR-MA-Ang'!

Object subclass: #MAAccountModel
	instanceVariableNames: 'codice indirizzoMemo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DTR-MA-Ang'!

!MAAccountModel class methodsFor: 'as yet unclassified' stamp: 'DTR 3/9/2010 17:20'!
descriptionCodice

	^(MAStringDescription new)
		selectorAccessor: 'codice';
		label: 'Codice';
		priority: 130;
		comment: 'Codice';
		beRequired;
		addCondition: 
				[:value | 
				value isEmptyOrNil not and: [value size > 0] and: [value size < 65] ]
			labelled: 'Via non valida ( max 64 caratteri )';
		yourself! !

!MAAccountModel class methodsFor: 'as yet unclassified' stamp: 'DTR 3/9/2010 17:38'!
descriptionIndirizzoMemo

	^ (MAToOneRelationDescription new)
		componentClass:    MAInternalEditorComponent    " MAOneToOneDirectComponent   " ; 
		classes: (Array with: MAIndirizzoModel);
		selectorAccessor: 'indirizzoMemo';
	
		label: 'Indirizzo';
		comment: 'Indirizzo di riferimento';
		priority: 220;
		"beReadonly;"
		yourself 
! !

!MAAccountModel methodsFor: 'accessing' stamp: 'DTR 3/9/2010 17:19'!
codice
	^ codice! !

!MAAccountModel methodsFor: 'accessing' stamp: 'DTR 3/9/2010 17:19'!
codice: anObject
	codice := anObject! !

!MAAccountModel methodsFor: 'accessing' stamp: 'DTR 3/9/2010 17:22'!
indirizzoMemo
	^ indirizzoMemo! !

!MAAccountModel methodsFor: 'accessing' stamp: 'DTR 3/9/2010 17:22'!
indirizzoMemo: anObject
	indirizzoMemo := anObject! !

Object subclass: #MAIndirizzoModel
	instanceVariableNames: 'via numero citta cap provincia frazione'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DTR-MA-Ang'!

!MAIndirizzoModel class methodsFor: 'dsc' stamp: 'DTR 3/9/2010 17:15'!
descriptionCAP

		^(MAStringDescription new)
		selectorAccessor: #cap;
		label: 'C.A.P.' ;
		priority: 120;
		comment: 'Codice Avviamento Postale';
		beRequired;
	"	beOnlyNumber;"
		yourself! !

!MAIndirizzoModel class methodsFor: 'dsc' stamp: 'DTR 3/9/2010 17:15'!
descriptionCitta

	^(MAStringDescription new)
		selectorAccessor: 'citta';
		label: 'Citt';
		priority: 130;
		comment: 'Citt';
		beRequired;
		addCondition: 
				[:value | 
				value isEmptyOrNil not and: [value size > 0] and: [value size < 65] ]
			labelled: 'Via non valida ( max 64 caratteri )';
		yourself! !

!MAIndirizzoModel class methodsFor: 'dsc' stamp: 'DTR 3/9/2010 17:15'!
descriptionFrazione

	^(MAStringDescription new)
		selectorAccessor: 'frazione';
		label: 'Frazione';
		priority: 115;
		comment: 'Frazione - Localit - Zona';
	"	beRequired;"
		addCondition: 
				[:value | 
				value isEmptyOrNil not and: [value size > 0] and: [value size < 65] ]
			labelled: 'Via non valida ( max 64 caratteri )';
		yourself! !

!MAIndirizzoModel class methodsFor: 'dsc' stamp: 'DTR 3/9/2010 17:15'!
descriptionNumero

	^(MAStringDescription new)
		selectorAccessor: 'numero';
		label: 'Numero';
		priority: 110;
		comment: 'Numero';
		beRequired;
		addCondition: 
				[:value | 
				value isEmptyOrNil not and: [value size > 0] and: [value size < 11] ]
			labelled: 'Numero non valido ( max 10  caratteri )';
		yourself! !

!MAIndirizzoModel class methodsFor: 'dsc' stamp: 'DTR 3/9/2010 17:15'!
descriptionProvincia

	^(MAStringDescription new)
		selectorAccessor: 'provincia';
		label: 'Provincia';
		priority: 150;
		comment: 'Provincia';
		beRequired;
		addCondition: 
				[:value | 
				value isEmptyOrNil not and: [value size > 0] and: [value size < 65] ]
			labelled: 'Via non valida ( max 64 caratteri )';
		yourself! !

!MAIndirizzoModel class methodsFor: 'dsc' stamp: 'DTR 3/9/2010 17:15'!
descriptionVia

	^(MAStringDescription new)
		selectorAccessor: 'via';
		label: 'Via';
		priority: 100;
		comment: 'Via - piazza';
		beRequired;
		addCondition: 
				[:value | 
				value isEmptyOrNil not and: [value size > 0] and: [value size < 65] ]
			labelled: 'Via non valida ( max 64 caratteri )';
		yourself! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/4/2010 15:15'!
cap
	^ cap! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/5/2010 10:56'!
cap: anObject
	cap := anObject! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/4/2010 15:15'!
citta
	^ citta! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/5/2010 10:56'!
citta: anObject
	citta := anObject! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/4/2010 15:30'!
frazione
	^ frazione! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/5/2010 10:56'!
frazione: anObject
	frazione := anObject! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/4/2010 15:04'!
numero
	^ numero! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/5/2010 10:56'!
numero: anObject
	numero := anObject! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/4/2010 15:19'!
provincia
	^ provincia! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/5/2010 10:56'!
provincia: anObject
	provincia := anObject! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/4/2010 15:04'!
via
	^ via! !

!MAIndirizzoModel methodsFor: 'accessing-generated' stamp: 'DTR 3/5/2010 10:56'!
via: anObject
	via := anObject! !

WAComponent subclass: #TestSubComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DTR-MA-Ang'!

!TestSubComponent class methodsFor: 'as yet unclassified' stamp: 'DTR 3/9/2010 17:05'!
initialize
" inizializazione relativa alla registrazione della applicazione on the WWW e caricamento librerie "
	| app |
	app := self registerAsApplication: 'testSubComponent'.! !

!TestSubComponent methodsFor: 'as yet unclassified' stamp: 'DTR 3/9/2010 17:19'!
renderContentOn: html

	html text: 'dario'.
	html break.
	html anchor 
		callback:[self call:   (  MAAccountModel new  asComponent
											addValidatedForm ;
											addMessage: ( 'Aggiornamento item ') ; 
											yourself )];
		with: 'test'! !
TestSubComponent initialize!
